<?php
/*
 * commons.class.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	commons.class.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/**
 * Gets website texts from an xml file
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.1
 * @link       http://videotheque.tuxfamily.org
 */
class Commons{
	var $commons;
	var $lang;
	var $file;
	var $datas_rep = _langPath;

	/**
	* Constructeur
	*/
	function __construct($language){
		$this->lang = $language;
		$this->file = $this->datas_rep.$this->lang . '.xml';
		$this->commons = simplexml_load_file($this->file);
	}

	/**
	* Charge une entité dans la locale en cours
	* @param ref identifiant de la chaîne à charger
	* @return chaîne dans la locale en cours 
	*/
	function getValue($ref){
		return $this->commons->$ref;
	}
}
?>