<?php
/*
 * langs.class.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	langs.class.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

class Languages{
 	var $langs;
	var $file;
	var $datas_rep = _langPath;
	var $language;
	
	function __construct(){
		if(!isset($_SESSION["video"]["lang"]) || trim($_SESSION["video"]["lang"])==""){
			$_SESSION["video"]["lang"]='fr_FR';
			$this->language = 'fr_FR';
		}else{
			if(isset($_GET["lang"])){
				$current = $this->langs->xpath("//lang[@id='".$_GET["lang"]."']");
				if(isset($current[0])){$change=$_GET["lang"];}else{$change='fr_FR';}
				$_SESSION["video"]["lang"]=$change;
			}
			$this->language = $_SESSION["video"]["lang"];
		}
		$this->file = $this->datas_rep.$_SESSION["video"]["lang"].".xml";
		$this->langs = simplexml_load_file($this->file);
	}
	
	function GetFlags(){
		echo "<div class=\"drapos\">\n";
		echo "<table>\n\t<tr>\n";
		foreach($this->langs->lang as $lang){
			echo "\t\t<td>";
			echo "<a href=\"?lang=".$lang["id"]."\" title=\"".$lang->longname."\">";
			//echo "<a href=\"?lang=".$lang["id"]."\" title=\"".utf8_decode($lang->longname)."\">";
			echo "<img src=\"".$this->datas_rep.$lang["id"]."/flag.png\" width=\"32\" height=\"32\" alt=\"".$lang->longname."\"/>";
			//echo "<img src=\"".$this->datas_rep.$lang["id"]."/flag.png\" width=\"32\" height=\"32\" alt=\"".utf8_decode($lang->longname)."\"/>";
			echo "</a>\n";
			echo "<a class=\"txt\" href=\"?lang=".$lang["id"]."\" title=\"".$lang->longname."\">".$lang->longname."</a>\n";
			//echo "<a class=\"txt\" href=\"?lang=".$lang["id"]."\" title=\"".utf8_decode($lang->longname)."\">".utf8_decode($lang->longname)."</a>\n";
			echo "\t\t</td>\n";
		}
		echo "\t</tr>\n</table>\n";
		echo "</div>\n";
	}
	
	function GetLanguages(){
		foreach($this->langs->lang as $lang){
			$langs .= $lang["short"];
			if($lang->position()!=last()){
				$langs.=", ";
			}
		}
		return $langs;
	}

	function GetShortName(){
		$shortname = $this->langs->xpath("//shortname[../@id='".$this->language."']");
		return $shortname[0];
	}
}
?>