<?php
/*
 * collections.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	collections.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');

if(!$login->isAdmin()){header('location:../index.php');}

$liste_collections = $collections->getList();
/****************************************************/
/*                  Page HTML                       */
/****************************************************/
$headCaption = $commons->getValue('titre') . ' - ';
$headCaption .= $commons->getValue('listcollections');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath . 'html-header.php'); ?>
</head>
<body>
	<div id="smalllogo">
		<img src="../images/logo.jpg" alt="" />
	</div>
<?php
include(_includePath . 'top-divx.inc.php');
include(_includePath . 'menu.php');
//création et  mise en page liste
$colCount=6;
?>
<div id="corpus">
	<table id="list">
		<thead>
			<tr>
				<td class="center show-info" colspan="<?php echo $colCount; ?>">
					<?php echo preg_replace("(%t)", $collections->getCompte(), $commons->getValue('found_rows')); ?>
					<div class="info_message"><?php echo $commons->getValue('exec_query'); ?> : "<em><?php echo $collections->getQuery(); ?></em>"</div>
				</td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('num'); ?></th>
				<th><?php echo $commons->getValue('collection_name'); ?></th>
				<th><?php echo $commons->getValue('table'); ?></th>
				<th><?php echo $commons->getValue('prive'); ?></th>
				<th>&nbsp;</th>
				<th>&nbsp;</th>
			</tr>
		</thead>
		<tbody>
<?php
// Pour chaque film...
if ($collections->getCompte() == 0){
	echo '<tr><td colspan="' . $colCount . '" class="center">' . $commons->getValue('nomatch') . '</td></tr>';
} else {
	foreach($liste_collections as $collection){
		$num = $collection['id_collection']; //NULL;
		$lien_fiche = 'details.php?id=' . $num;
		echo "\t\t\t<tr";
		//if($reserved) echo ' class="reserve"';
		echo ">\n";

		echo "\t\t\t\t<td><a href=\"".$lien_fiche."\">" . $collection['id_collection'] . "</a></td>\n";
		echo "\t\t\t\t<td><a href=\"".$lien_fiche."\">" . $collection['nom'] . "</a></td>\n";
		echo "\t\t\t\t<td><a href=\"".$lien_fiche."\">" . $collection['table'] . "&nbsp;</a></td>\n";
		$img = ($collection['prive'] == 1)?'disabled':'enabled';
		$img_alt = ($collection['prive'] == 1)?$commons->getvalue('prive_on'):$commons->getvalue('prive_off');

		echo "\t\t\t\t<td class=\"center\"><a href=\"" . $lien_fiche . "\"><img src=\"../images/" . $img . ".png\" alt=\"" . $img_alt . "\" title=\"" . $img_alt . "\" /></a></td>\n";

		echo "\t\t\t\t<td class=\"center\">\n";
		echo "\t\t\t\t\t<a href=\"modif.php?id=" . $num . "\" title=\"" . $commons->getValue('modif_msg') . "\"><img src=\"../images/modif.png\" alt=\"" . $commons->getValue('modif') . "\" /></a>\n";
		echo "\t\t\t\t</td>\n";

		echo "\t\t\t\t<td class=\"center\">\n";
		echo "\t\t\t\t\t<a href=\"?confirm_delete=" . $num . "\" title=\"" . $commons->getValue('delete_msg') . "\"><img src=\"../images/delete.png\" alt=\"" . $commons->getValue('delete') . "\" /></a>\n";
		echo "\t\t\t\t</td>\n";
		echo "\t\t\t</tr>\n";
	}
}
?>
		</tbody>
	</table>
<?php
include(_includePath . 'copyright.php');
?>
</div>
</body>
</html>