<?php
/*
 * details.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	detaisl.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');
require_once(_classPath . 'collections.class.php');

$col = new Collections();
if(isset($_GET['id'])) $col->load($_GET['id']);

$errors = array();

if( (isset($_POST['new']) && $_POST['new'] == 1) || (isset($_POST['modif']) && $_POST['modif'] == 1) ){
	$valid = true;
	if(trim($_POST['nom']) == ''){
		$errors[] = $commons->getValue('collection_require_name');
		$valid = false;
	}else{$col->setName($_POST['nom']);}
	if(trim($_POST['table']) == ''){
		$errors[] = $commons->getValue('collection_require_table');
		$valid = false;
	}else{$col->setTable($_POST['table']);}
	$col->setPrive($_POST['prive']);

	if($valid){
		if($_POST['new']) $col->register();
		if($_POST['modif']) $col->update($_POST['id']);
	}elseif($_POST['new']) $_GET['new']=1;
}

/****************************************************/
/*                  Page HTML                       */
/****************************************************/
$headCaption = $commons->getValue('titre');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath . 'html-header.php'); ?>
</head>
<body>
<script type="text/javascript">
	<!--
	function verifForm(frm){
		message="";
		if(!frm.nom.value){
			message = message + '\n- <?php echo addslashes($commons->getValue('collection_require_name')); ?>';
		}
		if(!frm.table.value){
			message = message + '\n- <?php echo addslashes($commons->getValue('collection_require_table')); ?>';
		}
		if(message!=""){
			alert('<?php echo addslashes($commons->getValue('form_errors')); ?>\n'+message);
			return false;
		}

		return true;
	}
	-->
</script>
	<div id="smalllogo">
		<img src="../images/logo.jpg" alt="" />
	</div>
<?php
include(_includePath . 'top-divx.inc.php');
include(_includePath . 'menu.php');
?>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" onSubmit="return verifForm(this)" class="headline">
<div id="corpus">
	<p class="right"><?php echo '<a href="' . $_SERVER['HTTP_REFERER'] . '">' . $commons->getValue('previous_page') . '</a>'; ?></p>
	<fieldset>
		<legend><?php echo (isset($_GET['new']))?$commons->getValue('newcollection'):preg_replace('(%l)', $col->getName(), $commons->getValue('editcollection')); ?></legend>
		<input type="hidden" name="<?php echo (isset($_GET['new']))?'new':'modif'; ?>" value="1" />
		<input type="hidden" name="id" value="<?php echo $col->getId(); ?>" />
		<label for="nom"><?php echo $commons->getValue('collection_name'); ?></label>
		<input name="nom" id="nom" type="text" size="20" <?php echo 'value="' . $col->getName() . '"'; ?> /><br />
		<label for="table"><?php echo $commons->getValue('table'); ?></label>
		<input name="table" id="table" type="text" size="20" <?php echo 'value="' . $col->getTable() . '"'; ?> /><br />
		<label for="prive"><?php echo $commons->getValue('prive'); ?></label>
<?php
echo "\t\t<input name=\"prive\" id=\"prive\" type=\"checkbox\" value=\"1\"";
if($col->isPrive()) echo ' checked="checked"';
echo ' />';
?>
<input id="submit" type="submit" value="<?php echo (isset($_GET['new']))?$commons->getValue('add_button'):$commons->getValue('save_button'); ?>" />
	</fieldset>
</div>
</form>
<?php include(_includePath . 'copyright.php'); ?>
</body>
</html>