<?php
/*
 * add_reservation.php, 23 février 2007
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	add_reservation.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */
header('Content-Type: text/xml;charset=utf-8');

include('../parts/php_header.php');
include(_classPath . 'reservation.class.php');

if(isset($_SESSION['reserv'])){
	$reservation = unserialize($_SESSION['reserv']);
}else $reservation = new Reservation();
$result = 0;

if($_GET['mode'] == 'reserver'){
	$result = $reservation->add($_GET['num']);
}elseif($_GET['mode'] == 'del_reserve'){
	$result = $reservation->deletes($_GET['num']);
}

if($result==1) $_SESSION['reserv'] = serialize($reservation);

$xml = "<?xml version='1.0' encoding='UTF-8' ?>\n";
$xml .= "<resultats>\n";
$xml .= "\t<resultat>".$result."</resultat>\n";
$xml .= "</resultats>\n";

echo utf8_encode($xml);
?>
