<?
/*
 * all_functions.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	all_functions.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/***** FONCTIONS REPERTOIRES/FICHIERS *****/
/***** Lecture répertoire/sous-répertoire *****
LectRep('chemin_de_base'); peut être relatif ou absolu
***************************/
function LectRep($dir){
	$results = array();
	$varDirectory = dir($dir); //ouverture répertoire
	while($directory=$varDirectory->read()){ //parcours du répertoire
		if($directory!='.' && $directory!='..'){ //supp rep . et ..
			$results[$directory]=$directory;
// 			echo '<tr><td>'.$directory.'</td></tr>'; //création ligne
			if(is_dir($dir.'/'.$directory)){ //traitement sous répertoires
					LectRep($dir.'/'.$directory.'/');
			}
		}
	}
	$varDirectory->close();
	return $results;
}

/***** TABLEAU SESSION *****/
// ***** Création, identation et enregistrement BDD d'un tableau de session *****
// ***** tabSession($varStr(string),$varArray(array),$confirm(boolean));
/* cas DivX $varStr=$_SESSION['login']
				$varArray=$_POST['film']
				$confirm='yes|no'
*/
function tabSession($varStr,$varArray,$confirm,$page,$table){
	session_start(); //d�arrage session
	//if($page=='reserv-mode.php'){$table=$_reservTable;}
	//if($page=='prets-mode.php'){$table=$_pretsTable;}
//	echo 'page : '.$page.'<br>';
//	echo 'table : '.$table;
	// ***** Cas de confirmation de r�ervation
	//echo $confirm;
	if($confirm=='true' ){
		//include('../config/secure-sess.php');
		//connexion();
		$enrCount=count($varArray);
		$tablo=$varArray;
		//enregistrement de chaque film
		for($i=0;$i<$enrCount;$i++){
			$query=requete('INSERT INTO '.$table.' VALUES (\''.$_SESSION['login'].'\', 	'.$tablo[$i].')');
			//echo "INSERT INTO ".$table." VALUES ('".$_SESSION['login']."', 	".$tablo[$i].")";
		}
		//deconnexion();
		// ****** Eléments enregistrés, il faut détruire les variables
		$tabCount=count($_SESSION[$page]);
		for($y=0;$y<$tabCount;$y++){
			unset($_SESSION[$page][$y]);
		}
		unset($_SESSION[$page]);
		//redirection vers la liste
		header('location:'.$page);
	}
	// ***** Compte des éléments du tableau s'il existe
	if(isset($_SESSION[$page])){
		$alreadyCount=count($_SESSION[$page]);
		//echo 'already count : '.$alreadyCount;
	}
	// ***** Ajout au tableau des film sélectionnés (si existant)
	if($confirm=='noend'){
		$arrayReserv=$varArray;
		$reservCount=count($arrayReserv);
		for($i=0;$i<$reservCount;$i++){
			$sessCount=$i;
			if(isset($alreadyCount)){
				$sessCount=$sessCount+$alreadyCount;
			}
			//echo 'i : '.$i.'<br>';
			//echo 'numfilm : '.$arrayReserv[$i].'<br>';
			$_SESSION[$page][$sessCount]=$arrayReserv[$i];
			//echo 'reserved : '.$_SESSION['reserv'][$sessCount].'<br>';
		}
	}
}

/***** FONCTIONS DIVERSES *****/
/***** Désactivation du cache navigateur *****/
function no_cache() {
	header("Pragma: no-cache");
	header("Cache-Control: no-cache");
}
function isSetted($settedvar){ //vérifie qu'une variable donnée existe
	if(isset($settedvar))return $settedvar;
}
?>
