<?php
/*
 * index.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	index.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

if(!file_exists('config/variables.php')){
	/** TODO:
	* These line shall be commented until
	* install procedure will be ok.
	*/
	//header('location:install/index.php');
	/** TODO:
	* These lines will be removed once install
	* procedure will be ok
	*/
	die('Config file does not exists. Please see INSTALL file.');
}

$_basePath = '';
$loginpage = true;
include('parts/php_header.php');
if(isset($_POST['logg']) && $_POST['logg'] == '1'){
	$login->logIn($_POST['pseudo_membre'], md5($_POST['passe_membre']));
	if($login->isLogged()){
		$_SESSION['login'] = serialize($login);
		header('Location:' . $pagelogged);
	}
}elseif($_GET['login'] == '1'){
	$_SESSION['login']=null;
	unset($_SESSION['login']);
	unset($_SESSION['video']);
	unset($_SESSION['varspages']);
	unset($_SESSION['preferences']);
	$login->logOut();
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
	<title><?php echo $commons->getValue('titre') . ' ** V' . $commons->getValue('version') . ' **'; ?> - (Login)</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link type="text/css" rel="stylesheet" href="templates/video.css" />
	<!-- JQuery -->
	<script type="text/javascript" src="<?php echo _baseFunctions; ?>jquery/jquery-1.2.3.pack.js"></script>
	<script type="text/javascript" src="<?php echo _baseFunctions; ?>jquery/jquery.bgFade.js"></script>
	<script type="text/javascript">
		$(function() {
			$('#error').backgroundFade({sColor:'#ffffff',eColor:'#ff9999',steps:50},function() {
				$(this).backgroundFade({sColor:'#ff9999',eColor:'#ffffff'});
			});
		});
	</script>
</head>
<body>
	<div class="logo">
		<img src="images/logo-big.jpg" alt="<?php echo $commons->getValue('titre'); ?>" />
		<p>** Version <?php echo $commons->getValue('version'); ?> **</p>
	</div>
<?php
	if( isset($_POST['logg']) && $_POST['logg'] == '1' && !$login->isLogged() ) {
		echo '<div id="error">' . $commons->getValue('invalid_login') . '</div>';
	}	
?>
	<p class="info center"><?php echo $commons->getValue('identify'); ?></p>
	<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" id="login">
		<div class="login">
			<label for="pseudo_membre"><?php echo $commons->getValue('login'); ?> : </label>
			<input type="text" name="pseudo_membre" id="pseudo_membre" />
		</div>
		<div class="login">
			<label for="passe_membre"><?php echo $commons->getValue('password'); ?> : </label>
			<input type="password" name="passe_membre" id="passe_membre" />
		</div>
		<div class="login">
			<input type="hidden" name="logg" value="1" />
			<input type="submit" name="Submit" value="<?php echo $commons->getValue('connect'); ?>" />
		</div>
	</form>
<?php
	include(_includePath . 'copyright.php');
?>
<script type="text/javascript">
//<![CDATA[
$('input[@name="pseudo_membre"]').get(0).focus();
//]]>
</script>

</body>
</html>
