<?php 
/*
 * admin_menu.php, 29 septembre 2007
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	admin_menu.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

	if($secuAdminLevel == 'on' && $login->isAdmin() || $secuAdminLevel == 'off'){
?>
	<!-- Administration de l'application -->
	<dt><?php echo $commons->getValue('admin_menu'); ?></dt>
	<dd>
		<ul>
			<li><a href="../films/new.php" title="<?php echo $commons->getValue('new_video_msg'); ?>"><?php echo $commons->getValue('new_video'); ?></a></li>

			<!-- Collections -->
			<li>
				<a<?php if($_SESSION['page_category'] == 'collections'){ echo ' class="menu_selected"'; } ?> href="../collections/collections.php" title="<?php echo $commons->getValue('collections_msg'); ?>"><?php echo $commons->getValue('collections'); ?></a>
				<?php if($_SESSION['page_category'] == 'collections'){ include('collections_menu.php'); } ?>
			</li>

			<!-- Utilisateurs -->
			<li>
				<a<?php if($_SESSION['page_category'] == 'users'){ echo ' class="menu_selected"'; } ?> href="../users/users.php" title="<?php echo $commons->getValue('users_msg'); ?>"><?php echo $commons->getValue('users'); ?></a>
				<?php if($_SESSION['page_category'] == 'users'){ include('users_menu.php'); } ?>
			</li>

<?php 
		if($enable_Reserve == 'on'){
?>
			<li><a href="../films/see-reserved.php" title="<?php echo $commons->getValue('reserv_msg'); ?>"><?php echo $commons->getValue('reserv'); ?></a></li>
<?php 
		}
		if($varspages->getMode() != 'prets' && $enable_Pret == 'on'){
?>
			<li><a href="../films/index.php?mode=prets" title="<?php echo $commons->getValue('prets_msg'); ?>" ><?php echo $commons->getValue('prets'); ?></a></li>
<?php
		}
?>
			<li><a href="../films/preferences.php"><?php echo $commons->getValue('preferences'); ?></a></li>
		</ul>
	</dd>
<?php
	}
?>

<?php if($_SESSION['page_category'] == 'actors'){ ?>
	<!-- Acteurs -->
	<dt><?php echo $commons->getValue('actors_menu'); ?></dt>
	<dd><a href="../actors/actors.php" title="<?php echo $commons->getValue('list_actors_msg'); ?>"><?php echo $commons->getValue('list_actors'); ?></a></dd>
	<dd><a href="../actors/details.php?new" title="<?php echo $commons->getValue('new_actor_msg'); ?>"><?php echo $commons->getValue('new_actor'); ?></a></dd>
<?php } ?>
