<?php
/*
 * html-header.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	html-header.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/**
 * Common html header
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    1.0
 * @link       http://videotheque.tuxfamily.org
 */

?>
	<title><?php echo $commons->getValue('titre') . ' ** V' . $commons->getValue('version') . ' **'; ?></title>
	<link type="text/css" rel="stylesheet" href="<?php echo _baseTemplates; ?>video.css" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
<?php if( useAjax() ){ ?>
	<!-- JQuery -->
	<script type="text/javascript" src="<?php echo _baseFunctions; ?>jquery/jquery-1.2.3.pack.js"></script>
	<script type="text/javascript" src="<?php echo _baseFunctions; ?>jquery/jquery.bgFade.js"></script>
	<script type="text/javascript" src="<?php echo _baseFunctions; ?>jquery/niftycube.js"></script>
	<script type='text/javascript' src='<?php echo _baseFunctions; ?>jquery/jquery.bgiframe.pack.js'></script>
	<script type='text/javascript' src='<?php echo _baseFunctions; ?>jquery/jquery.dimensions.pack.js'></script>
	<script type='text/javascript' src='<?php echo _baseFunctions; ?>jquery/jquery.autocomplete.js'></script>

	<link rel="stylesheet" type="text/css" href="<?php echo _baseTemplates; ?>autocomplete.css" />
	<script type="text/javascript" src="<?php echo _baseFunctions; ?>common.js"></script>
<!--
	<script type="text/javascript">
		var _xmlHttp = null; //l'objet xmlHttpRequest utilisé pour contacter le serveur
		var _adresseRecherche = 'search.php' //l'adresse à interroger pour trouver les suggestions
		
		// retourne un objet xmlHttpRequest.
		// méthode compatible entre tous les navigateurs (IE/Firefox/Opera)
		function getXMLHTTP(){
			var xhr=null;
			if(window.XMLHttpRequest) // Firefox et autres
				xhr = new XMLHttpRequest();
			else if(window.ActiveXObject){ // Internet Explorer
				try {
					xhr = new ActiveXObject('Msxml2.XMLHTTP');
				} catch (e) {
					try {
						xhr = new ActiveXObject('Microsoft.XMLHTTP');
					} catch (e1) {
						xhr = null;
					}
				}
			} else { // XMLHttpRequest non supporté par le navigateur
				alert(<?php echo $commons->getValue('ajax_not_supported'); ?>);
			}
			return xhr;
		}
		
		function searchMovie(formu){
			if(_xmlHttp&&_xmlHttp.readyState!=0){
				_xmlHttp.abort()
			}
			_xmlHttp=getXMLHTTP();
			if(_xmlHttp){
				//appel à l'url distante
				_xmlHttp.open('GET', _adresseRecherche + '?debut=' + formu.search_type[formu.search_type.selectedIndex].value,true);
				_xmlHttp.onreadystatechange=function() {
					if(_xmlHttp.readyState==4&&_xmlHttp.responseXML) {
						/*var liste = traiteXmlSuggestions(_xmlHttp.responseXML)
						cacheResults(valeur,liste)
						metsEnPlace(valeur,liste)*/
					}
				};
				// envoi de la requête
				_xmlHttp.send(null);
			}
		}
<?php if($varspages->getMode() == 'reserv'){ ?>
		var _reservAdress = 'add_reservation.php';
	
		function reserveMovie(mode, num){
			if(_xmlHttp&&_xmlHttp.readyState!=0){
				_xmlHttp.abort()
			}
			_xmlHttp=getXMLHTTP();
			if(_xmlHttp){
				//appel à l'url distante
				_xmlHttp.open('GET', _reservAdress + '?mode=' + mode + '&num=' + num);
				_xmlHttp.onreadystatechange=function() {
					if(_xmlHttp.readyState==4&&_xmlHttp.responseXML) {
						document.getElementById('i_'+num).src = (mode=='reserver')?'../images/moins.png':'../images/plus.png';
						document.getElementById('r_'+num).className = (mode=='reserver')?'reserve':'';
						document.getElementById('a_'+num).href = "javascript:reserveMovie('" + ((mode == 'reserver')?'del_reserve':'reserver')+"', " + num + ')';
					}
				};
				// envoi de la requête
				_xmlHttp.send(null);
			}
		}
<?php } ?>

	</script>
-->
<?php } ?>