<?php
/*
 * loadxml.php, 29 septembre 2007
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	loadxml.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

$see_reserved = false;

if($_GET['set_collection'] && $_GET['user']){
	$see_reserved = true;
	$current_login = $_GET['user'];
}

if(isset($_GET['ajax'])){
	header('Content-Type: text/xml;charset=utf-8');

	include_once('../parts/php_header.php');
	include_once(_classPath . 'reservation.class.php');
}

if(isset($_SESSION['reserv']) && !$see_reserved){
	$reservation = unserialize($_SESSION['reserv']);
}else $reservation = new Reservation();

if(isset($_GET['del_reserve'])){
	if(isset($_GET['set_collection']))
		$reservation->deletes($_GET['del_reserve'], $_GET['user'], $_GET['set_collection']);
	else{
		$reservation->deletes($_GET['del_reserve']);
		$_SESSION['reserv']=serialize($reservation);
	}
}

$xsl = new DomDocument();
$xsl->load(_baseTemplates . 'reserved.xsl');
$inputdom = new DomDocument();
if(!$see_reserved)
	$inputdom->loadXML($reservation->listeXml());
else $inputdom->loadXML($reservation->listeXml($current_login, true));

$proc = new XsltProcessor();
$xsl = $proc->importStylesheet($xsl);
$proc->setParameter('', 'del_reserve_msg', $commons->getValue('del_reserve_msg'));
$proc->setParameter('', 'del_reserve', $commons->getValue('del_reserve'));
if($see_reserved){
	function getUserInfos($login){
		global $commons;
		$var = new Users();
		$var->load($login);
		$search = array("(%l)", "(%m)");
		$replace = array(ucfirst($var->getLogin()), $var->getMail());
		return preg_replace($search, $replace, $commons->getValue('all_reserv_info'));
	}
}else{
	function getUserInfos($login){
		global $commons;
		return addslashes(preg_replace("(%l)", ucfirst($login), $commons->getValue('reserv_info')));
	}
}
$proc->registerPhpFunctions();
echo '<div id="listed">';
echo $proc->transformToXml($inputdom);
echo '</div>';
?>