<?php
/*
 * pre-liste.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	pre-liste.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');

$liste_collections = $collections->getList();

/****************************************************/
/*                  Page HTML                       */
/****************************************************/
//inclusion en tete liste
$headCaption = $commons->getValue("titre")." - ".$commons->getValue("listefilms");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath.'html-header.php'); ?>
<script type="text/javascript">
	<!--
	function enDis(){
		if(document.forms[1].use_query.checked){
			document.forms[1].title.disabled=true;
			document.forms[1].genre.disabled=true;
		}else{
			document.forms[1].title.disabled=false;
			document.forms[1].genre.disabled=false;
		}
	}
	-->
</script>
</head>
<body>
	<div class="logo" id="smalllogo">
		<img src="../images/logo.jpg" alt="" />
	</div>
<?php include(_includePath."top-divx.inc.php"); ?>
<?php
include(_includePath.'menu.php');
?>
<form action="liste.php" method="post">
<div id="corpus">
	<table id="details">
		<thead>
			<tr>
				<th colspan="2"><strong><?php echo $commons->getValue("pdf_list"); ?></strong></th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th colspan="2"><input type="submit" /></th>
			</tr>
		</tfoot>
		<tbody>
<?php if($login->isAuth()){ ?>
			<tr>
				<th><label for="collections_list"><?php echo $commons->getValue("select_collections"); ?></label><br /><span>(<?php echo $commons->getValue("select_multiple"); ?>)</span></th>
				<td>
					<select name="collections[]" id="collections_list" multiple="multiple" class="largeinput">
<?php
foreach($liste_collections as $c){
	echo "\t\t\t\t\t\t<option value=\"".$c["id_collection"]."\" selected=\"selected\">".$c["nom"]."</option>\n";
}
?>
					</select>
					<!--<input type="radio" name="mode" id="mode_films" value="films" checked="checked" /><label for="mode_films"><?php echo $commons->getValue("video_mode"); ?></label><br/>
					<input type="radio" name="mode" id="mode_specials" value="specials" /><label for="mode_specials"><?php echo $commons->getValue("specials_mode"); ?></label>-->
				</td>
			</tr>
<?php } ?>
			<tr>
				<th><?php echo $commons->getValue("current_query"); ?></th>
				<td><input type="checkbox" name="use_query" id="use_query" value="1" onclick="javascript:enDis();" /><label for="use_query"><?php echo $commons->getValue("use_current_query"); ?></label> <span>(<?php echo $commons->getValue("use_current_query_msg"); ?></span>)</td>
			</tr>
			<tr>
				<th><label for="title"><?php echo $commons->getValue("title"); ?></label></th>
				<td><input type="text" name="title" id="title" class="largeinput" /></td>
			</tr>
			<tr>
				<th><label for="genre"><?php echo $commons->getValue("type"); ?></label><br /><span>(<?php echo $commons->getValue("select_multiple"); ?>)</span></th>
				<td>
					<select name="genre[]" id="genre" multiple="multiple" class="largeinput">
<?php
	foreach($liste_genres as $genre){
		echo "\t\t\t\t\t\t<option value=\"".$genre["id"]."\">".$genre["genre"]."</option>\n";
	}
?>
					</select>
				</td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue("download"); ?></th>
				<td><input type="checkbox" name="dl" id="dl" /><label for="dl"><?php echo $commons->getValue("pdf_download"); ?></label></td>
			</tr>
		</tbody>
	</table>
<?php
include(_includePath.'copyright.php');
?>
</div>
</form>
</body>
</html>