<?php
/*
 * see-reserved.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	see-reserved.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');

if(!$login->isAdmin()) header('location:index.php');

no_cache();
include(_classPath . 'reservation.class.php');

$headCaption=$commons->getValue('titre') . ' - ' . $commons->getValue('voir_reservations');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath . 'html-header.php'); ?>
<?php if(useAjax()){ ?>
	<script type="text/javascript">
	<!--
		var _reservAdress = "loadxml.php";
		var sId = "listed";
	
		function del_reserve(num, num_col, username){
			if(_xmlHttp&&_xmlHttp.readyState!=0){
				_xmlHttp.abort()
			}
			_xmlHttp=getXMLHTTP();
			if(_xmlHttp){
				//appel à l'url distante
				_xmlHttp.open("GET",_reservAdress + "?ajax=true&del_reserve="+num+"&set_collection="+num_col+"&user="+username);
				_xmlHttp.onreadystatechange=function() {
					if(_xmlHttp.readyState==4&&_xmlHttp.responseXML) {
						document.getElementById(sId).innerHTML = _xmlHttp.responseText;
					}
				};
				// envoi de la requête
				_xmlHttp.send(null);
			}
		}

		document.getCurrentSelectedUser = function(clsName){
			var retVal = new Array();
			var elements = document.getElementsByTagName("li");
			for(var i = 0;i < elements.length;i++){
				if(elements[i].className.indexOf(" ") >= 0){
					var classes = elements[i].className.split(" ");
					for(var j = 0;j < classes.length;j++){
						if(classes[j] == clsName)
							return elements[i];
					}
				}
				else if(elements[i].className == clsName)
					return elements[i]
			}
		}

		function show_reserve(username){
			if(_xmlHttp&&_xmlHttp.readyState!=0){
				_xmlHttp.abort()
			}
			_xmlHttp=getXMLHTTP();
			if(_xmlHttp){
				//appel à l'url distante
				_xmlHttp.open("GET",_reservAdress + "?ajax=true&user="+username+"&set_collection=true");
				_xmlHttp.onreadystatechange=function() {
					if(_xmlHttp.readyState==4&&_xmlHttp.responseXML) {
						document.getCurrentSelectedUser('tabselected').className= '';
						document.getElementById('login_'+username).className = 'tabselected';
						document.getElementById(sId).innerHTML = _xmlHttp.responseText;
					}
				};
				// envoi de la requête
				_xmlHttp.send(null);
			}
		}
	-->
	</script>
<?php } ?>
</head>
<body>
	<div id="smalllogo"><img src="../images/logo.jpg" alt="" /></div>
<?php
include(_includePath . 'top-divx.inc.php');
include(_includePath . 'menu.php');
?>
<div id="corpus">
<?php
$user = new Users();
$user->load((isset($_GET['login'])?$_GET['login']:$login->getLogin()));

$users = $login->getList();
if(count($users)>0){
	echo "\t<ul id=\"tabs\">\n";
	foreach($users as $u){
		echo "\t\t<li";
		if($u["login"] == ((isset($_GET['user']) && trim($_GET['user'] != '') )?$_GET['user']:$user->getLogin()) ) echo ' class="tabselected"';
		echo ' id="login_' . $u['login'] . '"';
		echo '><a href="?user=' . $u['login'] . '&set_collection=true"';
		if(useAjax()){
			echo ' onclick="javascript:show_reserve(\'' . $u['login'] . '\');return false;"';
		}
		echo '>' . $u['login'] . "</a></li>\n";


	}
	echo "\t</ul>\n";
}
$liste_col = $collections->getList();

$see_reserved = true;
$current_login = $user->getLogin();
include('loadxml.php');
?>
</div>
<?php
include(_includePath . 'copyright.php');
?>
</body>
</html>