<?php
/*
 * tutle_suggest.php, 29 septembre 2007
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	tutle_suggest.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include_once('../parts/php_header.php');
require_once(_classPath . "video_mdb2.class.php");
$db = new VideoMdb2();

$q = strtolower($_GET['q']);
if (!$q) return;

if(!isset($_GET['field'])){
	require_once(_classPath . 'films.class.php');
	$titles = Films::getTitles($q);
	foreach ($titles as $title) {
		$titre = (mysql_client_encoding() == 'latin1')?utf8_encode($title->titre):$title->titre;
		$sous_titre = (mysql_client_encoding() == 'latin1')?utf8_encode($title->sous_titre):$title->sous_titre;
		$annee = $title->annee;
		echo $titre . '|' . $sous_titre . '|' . $annee . "\n";
	}
}else{
	switch($_GET['field']){
		case 'types':
			require_once(_classPath . 'genres.class.php');
			$g = new Genres();
			$types = $g->listeGenres($q);
			foreach ($types as $type) {
				$genre = (mysql_client_encoding() == 'latin1')?utf8_encode($type->genre):$type->genre;
				echo $genre . "\n";
			}
			break;
		case 'origins':
			require_once(_classPath . 'origines.class.php');
			$o = new Origines();
			$origins = $o->listeOrigines($q);
			foreach ($origins as $origin) {
				$origine = (mysql_client_encoding() == 'latin1')?utf8_encode($origin->origine):$origin->origine;
				echo $origine . "\n";
			}
			break;
		case 'directors':
			require_once(_classPath . 'realisateurs.class.php');
			$r = new Realisateurs();
			$directors = $r->listDirectors($q);
			foreach ($directors as $director) {
				$director = (mysql_client_encoding() == 'latin1')?utf8_encode($director->realisateur):$director->realisateur;
				echo $director . "\n";
			}
			break;
		case 'actors':
			require_once(_classPath . 'acteurs.class.php');
			$a = new Acteurs();
			$actors = $a->listeActeurs($q);
			foreach ($actors as $actor) {
				$actor = (mysql_client_encoding() == 'latin1')?utf8_encode($actor->acteur):$actor->acteur;
				echo $actor . "\n";
			}
			break;
	}
}

?>