<?php
/*
 * menu.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	menu.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */
?>
<dl id="menu">
	<dt id="head"><img src="../images/firefox.png" alt="Firefox" /></dt>
	<!-- menu utilisateurs -->
	<dt><?php echo $commons->getValue('users_menu'); ?></dt>
	<dd>
		<ul>
			<!-- mode réservation -->
<?php
	if($enable_Reserve == 'on'){
	//affiche les liens vers le mode reservation si actif
		if($varspages->getMode() == Varspage::RESERV_MODE || $_SESSION['page'] != 'index' || $_SESSION['page_category'] != 'films'){
?>
			<li><a href="../films/index.php?mode=<?php echo Varspage::CONSULT_MODE; ?>" title="<?php echo $commons->getValue('consult_mode_msg'); ?>"><?php echo $commons->getValue('consult_mode'); ?></a></li>
<?php 
		}
		if($varspages->getMode() == Varspage::CONSULT_MODE || ($varspages->getMode() == Varspage::RESERV_MODE && $_SESSION['page'] != 'index') ){
?>
			<li><a href="../films/index.php?mode=<?php echo Varspage::RESERV_MODE; ?>" title="<?php echo $commons->getValue('reserv_mode_msg'); ?>"><?php echo $commons->getValue('reserv_mode'); ?></a></li>
<?php 
		}
?>
			<li><a href="../films/reserved.php" title="<?php echo $commons->getValue('reserv_see_msg'); ?>"><?php echo $commons->getValue('reserv_see'); ?></a></li>
<?php
	}
?>

			<!-- liste pdf -->
			<li><a href="../films/pre-liste.php" title="<?php echo $commons->getValue('pdf_list_msg'); ?>"><?php echo $commons->getValue('pdf_list'); ?></a></li>

			<!-- Préférences utilisateur -->
			<li><a href="../users/details.php?login=<?php echo $login->getLogin(); ?>" title="<?php echo $commons->getValue('user_account_msg'); ?>"><?php echo $commons->getValue('user_account'); ?></a></li>

			<!-- deconnexion -->
			<li><a href="<?php echo $_basePath . 'index.php?login=1' ?>" title="<?php echo $commons->getValue('disconnect_msg'); ?>"><?php echo $commons->getValue('disconnect'); ?></a></li>
		</ul>
	</dd>

	<?php include('admin_menu.php'); ?>
<?php
	if($page_name == 'index'){
?>
	<!-- Affichage -->
	<dt><?php echo $commons->getValue('page_menu'); ?></dt>
	<dd class="center">
<?php
	for($i=0;$i<count($affichage);$i++){
		$value=$affichage[$i];
		$caption=$affichage[$i];
		if($varspages->getRange()==$affichage[$i]){
			$caption="(".$affichage[$i].")";
		}
		echo '<a href="?enrsby=' . $value . '" title="' . preg_replace("(%n)", $value, $commons->getValue("show_pages")) . '">' . $caption . '</a>';
		if($i<count($affichage)-1){echo " - ";}
	}
	?>
	</dd>
<?php
	}
?>
</dl>