<?php
/*
 * details.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	details.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');
/****************************************************/
/*                  Page HTML                       */
/****************************************************/
//inclusion en tete liste
$headCaption = $commons->getValue("titre");

$t = new Genres();
$genre = $t->load($_GET["id"]);
$films = $t->getTypeMovies($_GET["id"]);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php
include(_includePath.'html-header.php');
?>
</head>
<body>
	<div id="smalllogo"><img src="../images/logo.jpg" alt="" /></div>
<?php include(_includePath."top-divx.inc.php"); ?>
<?php include(_includePath.'menu.php'); ?>
	<form action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="post" onSubmit="return verifForm(this)" class="headline">
<div id="corpus">
	<h2><?php echo $genre["genre"]; ?></h2>
<?php
if(count($films)>0){
	echo "\t<ul>\n";
	foreach($films as $f){
		echo "\t\t<li><a href=\"../films/details.php?id=".$f["id_film"]."\">";
		echo $f["titre"];
		if(trim($f["sous_titre"])!="") echo " (".$f["sous_titre"].")";
		//echo " - ".$f["genre"];
		echo "</a></li>\n";
	}
	echo "\t</ul>\n";
}
?>
<?php
include(_includePath.'copyright.php');
?>
</div>
</form>
</body>
</html>